{{- .Page.Store.Set "sections" (slice ) -}}
<!-- force content render so to capture sections -->
{{- $noop := .WordCount -}}

<div id="sidebar" class="col-sm-6 col-md-3">
	{{ if .Site.Params.showExternalLinks }}
		{{ with site.Data.external }}
			<nav id="nav-external" class="nav">
				<ul>
					{{ range . }}
						<li>
							<a class="icon" href="{{ .url }}" title="{{ .alt }}" target="_blank">{{ .icon }}</a>
						</li>
					{{ end }}
				</ul>
			</nav>
		{{ end }}
	{{ end }}

	{{ partial "nav" (dict
		"id" "main"
		"title" "On this site"
		"burguer" false
		"page" .
	) }}

	<nav id="nav-toc" class="nav">
		<p class="nav-title">On this page</p>
		<ul>
			{{ range .Store.Get "sections" }}
				<li class="nav-item">
					<a class="nav-link" href="#{{ .id }}">{{ .title }}</a>
				</li>
			{{ end }}
		</ul>
	</nav>
</div>
